VIRT_TO_PHYS(9)

NAME
virt_to_phys - map virtual addresses to physical

SYNOPSIS

unsigned long virt_to_phys (volatile void * address);

ARGUMENTS

address
    address to remap

DESCRIPTION

The returned physical address is the physical (CPU) mapping for the memory address given. It is only valid to use this function on addresses directly mapped or allocated via kmalloc.

This function does not give bus mappings for DMA transfers. In almost all conceivable cases a device driver should not be using this function

AUTHORS
Matthew Wilcox <matthew@wil.cx>, Alan Cox <alan@redhat.com>.